umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
assocrules.cpp File Reference
`#include "assocrules.h"`
`#include "debug_utils.h"`
`#include "uml.h"`
`#include "umlview.h"`
`#include "umlwidget.h"`
`#include "umlobject.h"`
`#include "associationwidgetlist.h"`
`#include "associationwidget.h"`
`#include "statewidget.h"`
`#include "activitywidget.h"`
`#include "signalwidget.h"`
`#include "forkjoinwidget.h"`
`#include "umlscene.h"`
`#include "umllistview.h"`
`#include "model_utils.h"`
`#include <typeinfo>`
`#include <KMessageBox>`

## Macros
#define | DBG_SRC QStringLiteral("AssocRules")

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("AssocRules")